# Contributing to RTEX Engine

Thank you for considering contributing to RTEX Engine! We welcome and appreciate all contributions, whether they be bug 
reports, feature requests, or code contributions.

## Code of Conduct

We ask that all contributors adhere to our [Code of Conduct](CODE_OF_CONDUCT.md). 
By participating in this project, you agree to abide by its terms.

## How to Contribute

Here are some ways you can contribute to RTEX Engine:

-   Report bugs or request features by opening an issue on the [RTEX Engine repository](https://git.n64.cc/nosial/cognize/rtex-engine/-/issues).
-   Contribute code by creating a pull request on the [RTEX Engine repository](https://git.n64.cc/nosial/cognize/rtex-engine). Please make sure to follow the guidelines below when creating a pull request.

### Pull Request Guidelines

-   Before submitting a pull request, please make sure to complete the following steps:
    -   Test your changes to ensure that they work as intended.
    -   Update the documentation, if necessary.
    -   Follow the project's coding style and conventions.
    -   Squash your commits into a single commit (if necessary).
    -   Rebase your branch on the latest version of the `master` branch.

## Copyright and License

RTEX Engine is copyright Nosial and is licensed under the MIT License. Please see the 
[LICENSE](LICENSE) file for more information.

By contributing to RTEX Engine, you agree to release your contributions under the MIT License.